## gate.creole
Class ExecutionInterruptedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.creole.ExecutionException
                              |
                              +--gate.creole.ExecutionInterruptedException

All Implemented Interfaces:
  Serializable

public class ExecutionInterruptedException
extends ExecutionException

Thrown by `Executable`s after they have stopped their execution as a result of a call to their interrupt() method.

See Also:
  Serialized Form

Fields inherited from class gate.creole.ExecutionException
`DEBUG, exception`

Fields inherited from class gate.util.GateException
`e`

Fields inherited from class java.lang.Throwable
`backtrace, detailMessage, serialVersionUID`

Constructor Summary
`ExecutionInterruptedException()`
`ExecutionInterruptedException(String message)`

Methods inherited from class gate.creole.ExecutionException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace0, toString`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Constructor Detail

### ExecutionInterruptedException

    public ExecutionInterruptedException(String message)

### ExecutionInterruptedException

    public ExecutionInterruptedException()